package com.miaxis.lighting.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 灯光单项对象 lighting_item
 *
 * @author miaxis
 * @date 2022-03-21
 */
@Data
@TableName("lighting_item")
@ApiModel(value = "LightingItem", description = "灯光单项对象 lighting_item")
public class LightingItem extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    @TableField("title")
    @ApiModelProperty(value = "标题")
    private String title;

    /** 操作 */
    @Excel(name = "操作")
    @TableField("operation")
    @ApiModelProperty(value = "操作")
    private String operation;

    /** 图标地址 */
    @Excel(name = "图标地址")
    @TableField("icon")
    @ApiModelProperty(value = "图标地址")
    private String icon;

    /** 声音地址 */
    @Excel(name = "声音地址")
    @TableField("voice")
    @ApiModelProperty(value = "声音地址")
    private String voice;

    /** 过程: 1-开始 2-过程 3-结束 */
    @Excel(name = "过程: 1-开始 2-过程 3-结束")
    @TableField("process")
    @ApiModelProperty(value = "过程: 1-开始 2-过程 3-结束")
    private Integer process;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setTitle(String title){
        this.title = title;
    }

    public String getTitle(){
        return title;
    }
    public void setOperation(String operation){
        this.operation = operation;
    }

    public String getOperation(){
        return operation;
    }
    public void setIcon(String icon){
        this.icon = icon;
    }

    public String getIcon(){
        return icon;
    }
    public void setVoice(String voice){
        this.voice = voice;
    }

    public String getVoice(){
        return voice;
    }
    public void setProcess(Integer process){
        this.process = process;
    }

    public Integer getProcess(){
        return process;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("operation", getOperation())
            .append("icon", getIcon())
            .append("voice", getVoice())
            .append("process", getProcess())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
